options pagesize=59 linesize=80 nocenter;
data;
infile 'biochild1-469cbef23952a.dat' lrecl=61 missover DSD DLM=' ';
input
  R0000100
  R0214800
  R0898806
  R1522005
  R1892705
  R2259805
  R2448005
  R2873900
  R3076805
  R3404000
  R3659005
  R4009405
  R4440700
  R5083900
  R5169200
  R6482000
  R7009700
  R7707000
  R8499400
  ;
array chrrlst 
  R0000100 -- R8499400
  ;
do over chrrlst;
  if chrrlst = -5 then chrrlst = .A;
  if chrrlst = -4 then chrrlst = .B;
  if chrrlst = -3 then chrrlst = .C;
  if chrrlst = -2 then chrrlst = .D;
  if chrrlst = -1 then chrrlst = .E;
  end;
label R0000100 = "ID# (1-12686) 79";
label R0214800 = "SEX OF R 79";
label R0898806 = "USUAL RESIDENCE CHILD#1 82";
label R1522005 = "USUAL RESIDENCE CHILD#1 84";
label R1892705 = "USUAL RESIDENCE CHILD#1 85";
label R2259805 = "USUAL RESIDENCE CHILD#1 86";
label R2448005 = "USUAL RESIDENCE CHILD#1 87";
label R2873900 = "USUAL RESIDENCE CHILD#1 88";
label R3076805 = "USUAL RESIDENCE CHILD#1 89";
label R3404000 = "USUAL RESIDENCE CHILD#1 90";
label R3659005 = "USUAL RESIDENCE CHILD#1 91";
label R4009405 = "USUAL RESIDENCE CHILD#1 92";
label R4440700 = "USUAL RESIDENCE CHILD#1 93";
label R5083900 = "USUAL RESIDENCE OF 1ST CHILD 94";
label R5169200 = "USUAL RESIDENCE OF 1ST CHILD 96";
label R6482000 = "USUAL RESIDENCE OF 1ST CHILD 1998";
label R7009700 = "USUAL RESIDENCE OF 1ST CHILD 2000";
label R7707000 = "USUAL RESIDENCE OF 1ST CHILD 2002";
label R8499400 = "USUAL RESIDENCE OF 1ST CHILD 2004";
proc format;
value vx1f
  1='MALE'
  2='FEMALE'
    ;
value vx2f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx3f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx4f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx5f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx6f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx7f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx8f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx9f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx10f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx11f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx12f
  1='IN R''S HOUSEHOLD'
  2='WITH OTHER PARENT'
  3='WITH OTHER RELATIVES'
  4='IN FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='LIVES PART-TIME WITH BOTH PARENTS'
  10='LIVES PART-TIME WITH R AND OTHER PERSON'
  11='OTHER'
  99='CHILD DELETED'
    ;
value vx13f
  1='1: 1   IN THIS HOUSEHOLD'
  2='2: 2   WITH (HIS/HER) (FATHER/MOTHER)'
  3='3: 3   WITH OTHER RELATIVES (SPECIFY)'
  4='4: 4   WITH FOSTER CARE'
  5='5: 5   WITH ADOPTIVE PARENTS'
  6='6: 6   LONG TERM CARE INSTITUTION'
  7='7: 7   AWAY AT SCHOOL'
  8='8: 8   DECEASED'
  9='9: 9   PART-TIME WITH R, PART-TIME WITH OTHER PARENT'
  10='10: 10  PART-TIME WITH R, PART-TIME WITH OTHER PERSON'
  11='11: 11  OTHER (SPECIFY)'
    ;
value vx14f
  1='1: IN THIS HOUSEHOLD'
  2='2: WITH (HIS/HER) (FATHER/MOTHER)'
  3='3: WITH OTHER RELATIVES (SPECIFY)'
  4='4: WITH FOSTER CARE'
  5='5: WITH ADOPTIVE PARENTS'
  6='6: LONG TERM CARE INSTITUTION'
  7='7: AWAY AT SCHOOL'
  8='8: DECEASED'
  9='9: PART-TIME WITH R, PART-TIME WITH OTHER PARENT'
  10='10: PART-TIME WITH R, PART-TIME WITH OTHER PERSON'
  11='11: OTHER (SPECIFY)'
    ;
value vx15f
  1='IN THIS HOUSEHOLD'
  2='WITH (HIS/HER) (FATHER/MOTHER)'
  3='WITH OTHER (SPECIFY) RELATIVES'
  4='WITH FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='PART-TIME WITH R, PART-TIME WITH OTHER PARENT'
  10='PART-TIME WITH R, PART-TIME WITH OTHER PERSON'
  11='OTHER (SPECIFY)'
  12='OWN INDEPENDENT RESIDENCE'
    ;
value vx16f
  1='IN THIS HOUSEHOLD'
  2='WITH (HIS/HER) (FATHER/MOTHER)'
  3='WITH OTHER (SPECIFY) RELATIVES'
  4='WITH FOSTER CARE'
  5='WITH ADOPTIVE PARENTS'
  6='LONG TERM CARE INSTITUTION'
  7='AWAY AT SCHOOL'
  8='DECEASED'
  9='PART-TIME WITH YOU, PART-TIME WITH OTHER PARENT'
  10='PART-TIME WITH YOU, PART-TIME WITH OTHER PERSON'
  11='OTHER (SPECIFY)'
  12='OWN INDEPENDENT RESIDENCE'
    ;
value vx17f
  1='1: 1   IN THIS HOUSEHOLD'
  2='2: 2   WITH (HIS/HER) (FATHER/MOTHER)'
  3='3: 3   WITH OTHER RELATIVES (SPECIFY)'
  4='4: 4   WITH FOSTER CARE'
  5='5: 5   WITH ADOPTIVE PARENTS'
  6='6: 6   LONG TERM CARE INSTITUTION'
  7='7: 7   AWAY AT SCHOOL'
  8='8: 8   DECEASED'
  9='9: 9   PART-TIME WITH R, PART-TIME WITH OTHER PARENT'
  10='10: 10  PART-TIME WITH R, PART-TIME WITH OTHER PERSON'
  11='11: 11  OTHER (SPECIFY)'
  12='12: 12  OWN INDEPENDENT RESIDENCE'
    ;
value vx18f
  0='0: NONE REPORTED'
  1='1: 1   IN THIS HOUSEHOLD'
  2='2: 2   WITH (HIS/HER) (FATHER/MOTHER)'
  3='3: 3   WITH OTHER RELATIVES (SPECIFY)'
  4='4: 4   WITH FOSTER CARE'
  5='5: 5   WITH ADOPTIVE PARENTS'
  6='6: 6   LONG TERM CARE INSTITUTION'
  7='7: 7   AWAY AT SCHOOL'
  8='8: 8   DECEASED'
  9='9: 9   PART-TIME WITH R, PART-TIME WITH OTHER PARENT'
  10='10: 10  PART-TIME WITH R, PART-TIME WITH OTHER PERSON'
  11='11: 11  OTHER (SPECIFY)'
  12='12: 12  OWN INDEPENDENT RESIDENCE'
    ;
/*
  format R0214800 vx1f.;
  format R0898806 vx2f.;
  format R1522005 vx3f.;
  format R1892705 vx4f.;
  format R2259805 vx5f.;
  format R2448005 vx6f.;
  format R2873900 vx7f.;
  format R3076805 vx8f.;
  format R3404000 vx9f.;
  format R3659005 vx10f.;
  format R4009405 vx11f.;
  format R4440700 vx12f.;
  format R5083900 vx13f.;
  format R5169200 vx14f.;
  format R6482000 vx15f.;
  format R7009700 vx16f.;
  format R7707000 vx17f.;
  format R8499400 vx18f.;
*/
/* *start* Crosswalk for Reference number & Question name
    R0000100    CASEID
    R0214800    *Created
    R0898806    *Created
    R1522005    *Created
    R1892705    *Created
    R2259805    *Created
    R2448005    *Created
    R2873900    *Created
    R3076805    *Created
    R3404000    *Created
    R3659005    *Created
    R4009405    *Created
    R4440700    *Created
    R5083900    C1RES94
    R5169200    C1RES96
    R6482000    C1RES98
    R7009700    C1RES00
    R7707000    C1RES02
    R8499400    C1RES04
      * *finish* */
proc means n mean min max;
run;
